CFSet Reference

## Detailed Description

## Data Structures

struct | CFSetCallBacks

## Typedefs

typedef const struct __CFSet * | CFSetRef
typedef void(* | CFSetApplierFunction) (const void *value, void *context)
typedef CFStringRef(* | CFSetCopyDescriptionCallBack) (const void *value)
typedef Boolean(* | CFSetEqualCallBack) (const void *value1, const void *value2)
typedef CFHashCode(* | CFSetHashCallBack) (const void *value)
typedef void(* | CFSetReleaseCallBack) (CFAllocatorRef alloc, const void *value)
typedef const void *(* | CFSetRetainCallBack) (CFAllocatorRef alloc, const void *value)

## Variables

const CFSetCallBacks | kCFCopyStringSetCallBacks
const CFSetCallBacks | kCFTypeSetCallBacks

## Creating a set

CFSetRef | CFSetCreate (CFAllocatorRef alloc, const void **values, CFIndex numValues, const CFSetCallBacks *callBacks)
CFSetRef | CFSetCreateCopy (CFAllocatorRef alloc, CFSetRef set)

## Examining a set

Boolean | CFSetContainsValue (CFSetRef set, const void *value)
CFIndex | CFSetGetCount (CFSetRef set)
CFIndex | CFSetGetCountOfValue (CFSetRef set, const void *value)
void | CFSetGetValues (CFSetRef set, const void **values)
const void * | CFSetGetValue (CFSetRef set, const void *value)
Boolean | CFSetGetValueIfPresent (CFSetRef set, const void *candidate, const void **value)

## Applying a funcation to a set

void | CFSetApplyFunction (CFSetRef set, CFSetApplierFunction applier, void *context)

## Getting the CFSet type ID

CFTypeID | CFSetGetTypeID (void)

## Data Structure Documentation

## CFSetCallBacks

struct CFSetCallBacks

Data Fields
CFIndex | version |
CFSetRetainCallBack | retain |
CFSetReleaseCallBack | release |
CFSetCopyDescriptionCallBack | copyDescription |
CFSetEqualCallBack | equal |
CFSetHashCallBack | hash |